# Generated from rails_serverside_datatables-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails_serverside_datatables

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: This gem allows you to implement serverside processing (filtering and sorting) easily for datatables, even with computed columns
License: MIT
URL: https://git.iftrue.de/okirmis/rails_serverside_datatables
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
This gem allows you to implement serverside processing (filtering and sorting)
easily for datatables, even with computed columns. That allows you to perform
filtering and sorting on complex expressions on database level while being
very easy to use when this complexity is not required.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rails_serverside_datatables.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.3-1
- Initial package
